New Ticket     Tickets     Wiki     Browse Source     Timeline     Roadmap     Ticket Reports     Search

Ticket #21282 (closed defect: fixed)

Opened 5 years ago

Last modified 5 years ago

glib2 and glib2-devel conflict with e2fsprogs

Reported by: fred.the.master@… Owned by: ryandesign@…
Priority: Normal Milestone:
Component: ports Version: 1.8.0
Keywords: Cc:
Port: glib2, glib2-devel

Description (last modified by macsforever2000@…) (diff)

glib2 and glib2-devel cant build on OSX snow leopard.

/bin/sh ../libtool --tag=CC   --mode=compile /usr/bin/gcc-4.2 -DHAVE_CONFIG_H -I. -I..  -I..  -DG_LOG_DOMAIN=\"GLib\" -DG_DISABLE_CAST_CHECKS -DG_DISABLE_DEPRECATED -DGLIB_COMPILATION -DPCRE_STATIC -I/opt/local/include -DG_DISABLE_SINGLE_INCLUDES -D_REENTRANT  -pipe -O2 -fstrict-aliasing -arch x86_64 -Wall -c -o gunicollate.lo gunicollate.c
libtool: compile:  /usr/bin/gcc-4.2 -DHAVE_CONFIG_H -I. -I.. -I.. -DG_LOG_DOMAIN=\"GLib\" -DG_DISABLE_CAST_CHECKS -DG_DISABLE_DEPRECATED -DGLIB_COMPILATION -DPCRE_STATIC -I/opt/local/include -DG_DISABLE_SINGLE_INCLUDES -D_REENTRANT -pipe -O2 -fstrict-aliasing -arch x86_64 -Wall -c gunicollate.c  -fno-common -DPIC -o .libs/gunicollate.o
libtool: compile:  /usr/bin/gcc-4.2 -DHAVE_CONFIG_H -I. -I.. -I.. -DG_LOG_DOMAIN=\"GLib\" -DG_DISABLE_CAST_CHECKS -DG_DISABLE_DEPRECATED -DGLIB_COMPILATION -DPCRE_STATIC -I/opt/local/include -DG_DISABLE_SINGLE_INCLUDES -D_REENTRANT -pipe -O2 -fstrict-aliasing -arch x86_64 -Wall -c gunibreak.c -o gunibreak.o >/dev/null 2>&1
In file included from /System/Library/Frameworks/CoreServices.framework/Frameworks/CarbonCore.framework/Headers/HFSVolumes.h:32,
                 from /System/Library/Frameworks/CoreServices.framework/Frameworks/CarbonCore.framework/Headers/CarbonCore.h:206,
                 from /System/Library/Frameworks/CoreServices.framework/Frameworks/AE.framework/Headers/AE.h:20,
                 from /System/Library/Frameworks/CoreServices.framework/Headers/CoreServices.h:21,
                 from gunicollate.c:30:
/usr/include/hfs/hfs_format.h:765: error: expected specifier-qualifier-list before 'uuid_string_t'
/bin/sh ../libtool --tag=CC   --mode=compile /usr/bin/gcc-4.2 -DHAVE_CONFIG_H -I. -I..  -I..  -DG_LOG_DOMAIN=\"GLib\" -DG_DISABLE_CAST_CHECKS -DG_DISABLE_DEPRECATED -DGLIB_COMPILATION -DPCRE_STATIC -I/opt/local/include -DG_DISABLE_SINGLE_INCLUDES -D_REENTRANT  -pipe -O2 -fstrict-aliasing -arch x86_64 -Wall -c -o gunidecomp.lo gunidecomp.c
libtool: compile:  /usr/bin/gcc-4.2 -DHAVE_CONFIG_H -I. -I.. -I.. -DG_LOG_DOMAIN=\"GLib\" -DG_DISABLE_CAST_CHECKS -DG_DISABLE_DEPRECATED -DGLIB_COMPILATION -DPCRE_STATIC -I/opt/local/include -DG_DISABLE_SINGLE_INCLUDES -D_REENTRANT -pipe -O2 -fstrict-aliasing -arch x86_64 -Wall -c gunidecomp.c  -fno-common -DPIC -o .libs/gunidecomp.o
make[4]: *** [gunicollate.lo] Error 1
make[4]: *** Waiting for unfinished jobs....
libtool: compile:  /usr/bin/gcc-4.2 -DHAVE_CONFIG_H -I. -I.. -I.. -DG_LOG_DOMAIN=\"GLib\" -DG_DISABLE_CAST_CHECKS -DG_DISABLE_DEPRECATED -DGLIB_COMPILATION -DPCRE_STATIC -I/opt/local/include -DG_DISABLE_SINGLE_INCLUDES -D_REENTRANT -pipe -O2 -fstrict-aliasing -arch x86_64 -Wall -c gunidecomp.c -o gunidecomp.o >/dev/null 2>&1
make[3]: *** [all-recursive] Error 1
make[2]: *** [all] Error 2
make[1]: *** [all-recursive] Error 1
make: *** [all] Error 2

    while executing
"$procedure $targetname"
Warning: the following items did not execute (for glib2): org.macports.activate org.macports.build org.macports.destroot org.macports.install
Error: Status 1 encountered during processing.

Attachments

Terminal Saved Output.txt (145.1 KB) - added by fred.the.master@… 5 years ago.
full output from the terminal windows

Change History

Changed 5 years ago by fred.the.master@…

full output from the terminal windows

comment:1 Changed 5 years ago by macsforever2000@…

  • Owner changed from macports-tickets@… to ryandesign@…
  • Keywords glib2 build error removed
  • Description modified (diff)
  • Port changed from glib2 to glib2 glib2-devel

comment:2 in reply to: ↑ description ; follow-ups: ↓ 3 ↓ 5 Changed 5 years ago by ryandesign@…

Replying to fred.the.master@…:

/usr/include/hfs/hfs_format.h:765: error: expected specifier-qualifier-list before 'uuid_string_t'

I haven't seen this problem before and glib2 and glib2-devel install fine for me on Snow Leopard. Did you upgrade from Leopard? If so, did you install Xcode 3.2 and the Snow Leopard version of MacPorts and rebuild all ports (see the Migration page)? What ports are currently installed? (What is the output of "port installed"?)

comment:3 in reply to: ↑ 2 ; follow-up: ↓ 4 Changed 5 years ago by fred.the.master@…

Replying to ryandesign@…:

Replying to fred.the.master@…:

/usr/include/hfs/hfs_format.h:765: error: expected specifier-qualifier-list before 'uuid_string_t'

I haven't seen this problem before and glib2 and glib2-devel install fine for me on Snow Leopard. Did you upgrade from Leopard? If so, did you install Xcode 3.2 and the Snow Leopard version of MacPorts and rebuild all ports (see the Migration page)? What ports are currently installed? (What is the output of "port installed"?)

I did an upgrade from 10.5 to 10.6, I installed the Snow Leopard XCode (from the disc) and a did a clean install of macports (rm -rf /opt/local)

This is from my macports.conf file:

$grep 64 /opt/local/etc/macports/macports.conf

build_arch		x86_64
#universal_archs	x86_64 i386
universal_archs		x86_64

When I enable both x86_64 i386 for a universal binaries, I get the iconv error for the i386 build process.

Thanks for quick replies.

comment:4 in reply to: ↑ 3 Changed 5 years ago by fred.the.master@…

Replying to ryandesign@…:

(What is the output of "port installed"?)

The following ports are currently installed:
  apr @1.3.8_0+universal (active)
  apr-util @1.3.9_0+universal (active)
  autoconf @2.64_2 (active)
  automake @1.11_0+universal (active)
  binutils @2.19_0+universal (active)
  bzip2 @1.0.5_2+darwin+universal (active)
  colordiff @1.0.9_0 (active)
  coreutils @7.5_0+universal (active)
  curl @7.19.6_0+universal (active)
  cyrus-sasl2 @2.1.23_0+kerberos (active)
  db46 @4.6.21_5+universal (active)
  diffutils @2.8.1_3+universal (active)
  e2fsprogs @1.41.8_1+universal (active)
  expat @2.0.1_0+universal (active)
  findutils @4.4.2_0+universal (active)
  fontconfig @2.7.2_0+macosx+universal (active)
  freetype @2.3.9_1+macosx+universal (active)
  gettext @0.17_4+universal (active)
  git-core @1.6.4.2_0+doc (active)
  gmp @4.3.1_1+universal (active)
  gperf @3.0.4_0+universal (active)
  help2man @1.36.4_1+universal (active)
  ImageMagick @6.5.5-7_0+q16+universal (active)
  jpeg @6b_3+universal (active)
  libevent @1.4.12_0+universal (active)
  libiconv @1.13_0+universal (active)
  libmemcached @0.31_0+universal (active)
  libpng @1.2.38_0+universal (active)
  libtool @2.2.6a_0+universal (active)
  libxml2 @2.7.3_0+universal (active)
  lzma @4.63_0 (active)
  m4 @1.4.13_0+universal (active)
  memcached @1.4.1_0+universal (active)
  moreutils @0.31_1 (active)
  mysql5-devel @5.1.38_0+universal (active)
  ncurses @5.7_0+darwin_10+universal (active)
  ncursesw @5.7_0+darwin_10+universal (active)
  neon @0.28.6_0+universal (active)
  nginx @0.7.59_0+ssl+universal (active)
  openssl @0.9.8k_0+darwin+universal (active)
  p5-app-ack @1.90_0 (active)
  p5-error @0.17015_0 (active)
  p5-file-next @1.02_0 (active)
  p5-locale-gettext @1.05_0 (active)
  pcre @7.9_0+universal (active)
  perl5 @5.8.9_0 (active)
  perl5.8 @5.8.9_3 (active)
  pkgconfig @0.23_1+universal (active)
  popt @1.15_0+universal (active)
  proctools @0.4pre1_1+darwin (active)
  readline @6.0.000_1+darwin+universal (active)
  rsync @3.0.6_0+universal (active)
  ruby @1.8.7-p174_0+darwin+thread_hooks+universal (active)
  serf @0.3.0_0+universal (active)
  sqlite2 @2.8.17_0+universal (active)
  sqlite3 @3.6.17_0+darwin_10+universal (active)
  subversion @1.6.5_0 (active)
  tiff @3.9.1_0+macosx+universal (active)
  watch @3.2.7_0 (active)
  wget @1.11.4_3+universal (active)
  xorg-bigreqsproto @1.1.0_0 (active)
  xorg-inputproto @1.5.1_0 (active)
  xorg-kbproto @1.0.3_0 (active)
  xorg-libice @1.0.6_0+universal (active)
  xorg-libsm @1.1.1_0+universal (active)
  xorg-libX11 @1.2.2_0+universal (active)
  xorg-libXau @1.0.5_0+universal (active)
  xorg-libXdmcp @1.0.2_1+universal (active)
  xorg-libXext @1.0.99.4_1+universal (active)
  xorg-libXt @1.0.6_0+universal (active)
  xorg-util-macros @1.2.2_0 (active)
  xorg-xcmiscproto @1.2.0_0 (active)
  xorg-xextproto @7.1.1_0 (active)
  xorg-xf86bigfontproto @1.2.0_0 (active)
  xorg-xproto @7.0.15_0 (active)
  xorg-xtrans @1.2.4_0 (active)
  zlib @1.2.3_3+universal (active)

comment:5 in reply to: ↑ 2 Changed 5 years ago by andrew-macports@…

Replying to ryandesign@…:

Replying to fred.the.master@…:

/usr/include/hfs/hfs_format.h:765: error: expected specifier-qualifier-list before 'uuid_string_t'

I haven't seen this problem before and glib2 and glib2-devel install fine for me on Snow Leopard. Did you upgrade from Leopard? If so, did you install Xcode 3.2 and the Snow Leopard version of MacPorts and rebuild all ports (see the Migration page)? What ports are currently installed? (What is the output of "port installed"?)

I upgraded from Leopard to SL, then upgraded Macports, then ran "sudo port upgrade --force installed"

At this point, things were running along and compiling as expected when I got the same error from hfs_format.h, but when attempting to build python26. I saw that python26 has some potential issues and am building it with the +universal variant.

comment:6 Changed 5 years ago by mforrest@…

I'm having the same error with a clean install of Snow Leopard & MacPorts.

comment:7 Changed 5 years ago by mforrest@…

  • Cc mforrest@… added

Cc Me!

comment:8 Changed 5 years ago by mforrest@…

  • Cc mforrest@… removed

Cc Me!

comment:9 follow-ups: ↓ 10 ↓ 11 Changed 5 years ago by kahuna@…

e2fsprogs installs a own version of uuid.h. Try to rename, move or delete /opt/local/include/uuid/uuid.h

comment:10 in reply to: ↑ 9 ; follow-up: ↓ 12 Changed 5 years ago by ryandesign@…

Replying to kahuna@…:

e2fsprogs installs a own version of uuid.h. Try to rename, move or delete /opt/local/include/uuid/uuid.h

Oh! Interesting. I will test that and add a conflicts indicator if necessary. In the mean time, you can test too. Better than manually touching files in /opt/local would be deactivating the e2fsprogs port.

comment:11 in reply to: ↑ 9 Changed 5 years ago by fred.the.master@…

Replying to kahuna@…:

e2fsprogs installs a own version of uuid.h. Try to rename, move or delete /opt/local/include/uuid/uuid.h

you are the man.

sudo port uninstall e2fsprogs 

Fixed everything. :)

comment:12 in reply to: ↑ 10 Changed 5 years ago by kahuna@…

Replying to ryandesign@…:

Replying to kahuna@…:

e2fsprogs installs a own version of uuid.h. Try to rename, move or delete /opt/local/include/uuid/uuid.h

Oh! Interesting. I will test that and add a conflicts indicator if necessary. In the mean time, you can test too. Better than manually touching files in /opt/local would be deactivating the e2fsprogs port.

There's also a conflict between ossp-uuid and e2fsprogs (for the same reason) which makes impossible to activate both packages. I need it for testdisk. Who can live without testdisk?! :D

comment:13 Changed 5 years ago by macsforever2000@…

The ticket on that conflict is #16271.

comment:14 Changed 5 years ago by ryandesign@…

  • Status changed from new to closed
  • Resolution set to fixed
  • Port changed from glib2 glib2-devel to glib2, glib2-devel
  • Summary changed from glib2 2.20.5 and glib2-devel 2.21.6 Build error, snow leopard. to glib2 and glib2-devel conflict with e2fsprogs
  • r58111: marked glib2 and glib2-devel as conflicting with e2fsprogs

comment:15 Changed 5 years ago by ryandesign@…

The conflict has been resolved; see #21868.

Note: See TracTickets for help on using tickets.